Summary:	Specialized memcpy checker with low overhead
Name:		memstomp
Version:	0.1.4
Release:	%mkrel 10
License:	LGPLv3+ with exception
Group:		Development/Tools
URL:		https://fedorapeople.org/gitweb?p=wcohen/public_git/memstomp/
Source0:	%{name}.tar.xz
Patch0:		memstomp-0.1.4-mga-binutils-2.34.patch
Patch1:		memstomp-man.patch
Patch3:		memstomp-rh962763.patch
Patch9:		memstomp-PTR.patch
Patch10:	memstomp-sframe.patch

BuildRequires:	binutils-devel

%description
Memstomp checks the operation of memcpy. In particular memstomp warns
when memcpy is used to copy overlapping regions of memory (such as the
problem encountered in
https://bugzilla.redhat.com/show_bug.cgi?id=638477)

Just use it as prefix for your usual command line and it will check
memcpy used in all child processes. Note that valgrind can perform
this type of check also. Memstomp merely lowers the overhead for this
type of check.

%prep
%setup -qn %{name}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc README
%{_bindir}/memstomp
%{_libdir}/libmemstomp-backtrace-symbols.so
%{_libdir}/libmemstomp.so
%{_mandir}/man1/memstomp.1.*


%changelog
* Thu Mar 09 2023 daviddavid <daviddavid> 0.1.4-10.mga9
+ Revision: 1948434
- link in binutils sframe library when available to fix FTBFS
- fix for libibery no longer providing PTR
- link in libiberty too
- add manpage

* Fri Mar 18 2022 umeabot <umeabot> 0.1.4-9.mga9
+ Revision: 1797766
- Mageia 9 Mass Rebuild

* Tue Mar 31 2020 umeabot <umeabot> 0.1.4-8.mga8
+ Revision: 1562709
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.4-7.mga7
+ Revision: 1299516
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.1.4-6.mga7
+ Revision: 1239342
- fix build on aarch64

* Fri Feb 12 2016 umeabot <umeabot> 0.1.4-5.mga6
+ Revision: 956157
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-4.mga5
+ Revision: 748064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-3.mga5
+ Revision: 682354
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-2.mga4
+ Revision: 522041
- Mageia 4 Mass Rebuild

* Thu Feb 07 2013 tv <tv> 0.1.4-1.mga3
+ Revision: 395142
- imported package memstomp


* Thu Feb 07 2013 Thierry Vignaud <tv@mageia.org> 0.1.4-1.mga3
- initial release

